(function ($) {
	var ua = window.navigator.userAgent;
	var isIE = /MSIE|Trident/.test(ua);

	if ( !isIE ) {
		//IE specific code goes here
		"use strict";
	}

	/*** Sticky header */
	$(window).scroll(function(){
		if($("body").scrollTop() > 0 || $("html").scrollTop() > 0) {
			$(".navbar").addClass("stop");
		} else {
			$(".navbar").removeClass("stop");
		}
	});

	/*** Sidr Menu */
	$('.navbar-toggler').sidr({
     	name: 'sidr-main',
      	side: 'left',
      	source: '#sidr',
      	displace: false,
      	renaming: false,
    });

    $('.navbar-toggle.close').on('click', function(){
		$.sidr('close', 'sidr-main');
	});

	$('.scrollDown').click(function() {
		  var target = $('#primary');
		  if (target.length) {
		    $('html,body').animate({
		      scrollTop: target.offset().top - 80
		    }, 1000);
		  }
	});

	/*** Header height = gutter height */
	function setGutterHeight(){
		var header = document.querySelector('.navbar'),
			  gutter = document.querySelector('.gutter');
		if (gutter) {
			gutter.style.paddingTop = header.offsetHeight+27 + 'px';
		}
	}
	window.onload = setGutterHeight;
	window.onresize = setGutterHeight;

	/*** Select Wrap */
	$( "select" ).wrap( "<div class='select-wrapper'></div>" );

	/*** Slider */
	var time = 5;
	var $bar,
	  	$slick,
	  	isPause,
	  	tick,
	  	percentTime;
	$slick = $('.packageSlider');
	$bar = $('.slider-progress .progress');

	$slick.slick({
		speed: 300,
		arrow: true,
		dots: false,
		autoPlay: true,
		infinite: true,
		slidesToShow: 6,
		centerMode: true,
		slidesToScroll: 1,
		centerPadding: '180px 0 0',
		prevArrow: $('.slickpPrev'),
		nextArrow: $('.next'),
		responsive: [
	    {
	      breakpoint: 1920,
	      settings: {
	      	slidesToShow: 5,
			slidesToScroll: 1,
			centerPadding: '100px 0 0',
	      }
	    },
	    {
	      breakpoint: 1600,
	      settings: {
	      	slidesToShow: 4,
			slidesToScroll: 1,
			centerPadding: '100px 0 0',
	      }
	    },
	    {
	      breakpoint: 1400,
	      settings: {
	      	slidesToShow: 4,
			slidesToScroll: 1,
			centerPadding: '100px 0 0',
	      }
	    },
	    {
	      breakpoint: 1200,
	      settings: {
	      	slidesToShow: 3,
			slidesToScroll: 1,
			centerPadding: '80px 0 0',
	      }
	    },
	    {
	      breakpoint: 992,
	      settings: {
	      	slidesToShow: 3,
			slidesToScroll: 1,
			centerPadding: '0 0 0',
	      }
	    },
	    {
	      breakpoint: 830,
	      settings: {
	      	slidesToShow: 2,
			slidesToScroll: 1,
			centerPadding: '0 0 0',
	      }
	    },
	    {
	      breakpoint: 575,
	      settings: {
	      	slidesToShow: 1,
			slidesToScroll: 1,
			centerPadding: '80px 0 0',
	      }
	    },
	    {
	      breakpoint: 480,
	      settings: {
	      	slidesToShow: 1,
			slidesToScroll: 1,
			centerPadding: '40px 0 0',
	      }
	    },
	  ]
	});

	$(".packageSlider.centerModeDisable").slick('slickSetOption', 'rtl', true);

	$slick.on({
		mouseenter: function() {
			isPause = true;
		},
		mouseleave: function() {
			isPause = false;
		}
	})

	function startProgressbar() {
		resetProgressbar();
		percentTime = 0;
		isPause = false;
		tick = setInterval(interval, 10);
	}

	function interval() {
		if(isPause === false) {
			percentTime += 1 / (time+0.1);
			$bar.css({
				width: percentTime+"%"
			});
			if(percentTime >= 100) {
				$slick.slick('slickNext');
				startProgressbar();
			}
		}
	}

	function resetProgressbar() {
	    $bar.css({
	     	width: 0+'%' 
	    });
	    clearTimeout(tick);
	}
	  
	startProgressbar();

	/*** Generated by CoffeeScript 1.9.2 */
	function stickyKit() {
	  	var reset_scroll;

		$(function() {
			return $("[data-sticky_column]").stick_in_parent({
				parent: "[data-sticky_parent]",
				offset_top: 130,
				bottoming: true,
			});
		});

		reset_scroll = function() {
			var scroller;
			scroller = $("body,html");
			scroller.stop(true);

			if ($(window).scrollTop() !== 0) {
				scroller.animate({
					scrollTop: 0
				}, "fast");
			}
			return scroller;
		};

		window.scroll_it = function() {
			var max;
			max = $(document).height() - $(window).height();

			return reset_scroll().animate({
				scrollTop: max
			}, max * 3).delay(100).animate({
				scrollTop: 0
			}, max * 3);
		};

		window.scroll_it_wobble = function() {
			var max, third;
			max = $(document).height() - $(window).height();
			third = Math.floor(max / 3);

			return reset_scroll().animate({
				scrollTop: third * 2
			}, max * 3).delay(100).animate({
				scrollTop: third
			}, max * 3).delay(100).animate({
				scrollTop: max
			}, max * 3).delay(100).animate({
				scrollTop: 0
			}, max * 3);
		};

		$(window).on("load", (function(_this) {
			return function(e) {
				return $(document.body).trigger("sticky_kit:recalc");
			};
		})(this));

		$(window).on("resize", (function(_this) {
			return function(e) {
				return $(document.body).trigger("sticky_kit:recalc");
			};
		})(this));

	}

	var window_width = $(window).width();

    if (window_width < 992) {
      	$(document.body).trigger("sticky_kit:detach");
    } else {
      	stickyKit();
    }

    $( window ).resize(function() {
      	window_width = $( window ).width();
      	if (window_width < 992) {
        	$(document.body).trigger("sticky_kit:detach");
      	} else {
        	stickyKit();
      	}
    });

    /*** Get OS */
	var os = ['iphone', 'ipad', 'windows', 'mac', 'linux'];
	var match = navigator.appVersion.toLowerCase().match(new RegExp(os.join('|')));
	if (match) {
	    $('body').addClass(match[0]);
	};

	/*** BrowserDetect */
	var BrowserDetect = {
        init: function () {
            this.browser = this.searchString(this.dataBrowser) || "Other";
            this.version = this.searchVersion(navigator.userAgent) || this.searchVersion(navigator.appVersion) || "Unknown";
        },
        searchString: function (data) {
            for (var i = 0; i < data.length; i++) {
                var dataString = data[i].string;
                this.versionSearchString = data[i].subString;

                if (dataString.indexOf(data[i].subString) !== -1) {
                    return data[i].identity;
                }
            }
        },
        searchVersion: function (dataString) {
            var index = dataString.indexOf(this.versionSearchString);
            if (index === -1) {
                return;
            }

            var rv = dataString.indexOf("rv:");
            if (this.versionSearchString === "Trident" && rv !== -1) {
                return parseFloat(dataString.substring(rv + 3));
            } else {
                return parseFloat(dataString.substring(index + this.versionSearchString.length + 1));
            }
        },

        dataBrowser: [
            {string: navigator.userAgent, subString: "Edge", identity: "MSEdge"},
            {string: navigator.userAgent, subString: "MSIE", identity: "Explorer"},
            {string: navigator.userAgent, subString: "Trident", identity: "Explorer"},
            {string: navigator.userAgent, subString: "Firefox", identity: "Firefox"},
            {string: navigator.userAgent, subString: "Opera", identity: "Opera"},  
            {string: navigator.userAgent, subString: "OPR", identity: "Opera"},  

            {string: navigator.userAgent, subString: "Chrome", identity: "Chrome"}, 
            {string: navigator.userAgent, subString: "Safari", identity: "Safari"}       
        ]
    };
    
    BrowserDetect.init();

    document.body.classList.add( BrowserDetect.browser );

    $('.popup-video').magnificPopup({
		type: 'iframe',
		preloader: false,
		fixedBgPos: true,
		removalDelay: 500,
		fixedContentPos: true,
		callbacks: {
		    beforeOpen: function() {
		    	// console.log(this.st.iframe.markup);
		       	this.st.iframe.markup = this.st.iframe.markup.replace('mfp-iframe-scaler', 'mfp-iframe-scaler mfp-with-anim');
      	 		this.st.mainClass = this.st.el.attr('data-effect');
		    }
		},
    });

}(jQuery));