<?php
/*
Template Name: Live Odds
*/
get_header(); 

	$banner = get_field( 'liveodds_banner' ); ?>

	<section class="banner-loveodds<?php if ( $banner['dark'] || !$banner['image'] ) echo ' dark'; ?>">
		<div class="container">
			<div class="row align-items-center">
				<div class="<?php if ( $banner['cover'] ) { echo 'col-md-5'; } else { echo 'col-md-12'; }; ?>">
					<div class="content">
						<div class="entry-title">
							<?php
								if ( $banner['title'] ) 
								{
									printf( '<h1 class="title text-uppercase font-italic">%s</h1>', $banner['title'] );
								}
								else
								{
									printf( '<h1 class="title text-uppercase font-italic">%s</h1>', get_the_title() );
								}

								if ( $banner['description'] ) 
								{
									printf( '%s', $banner['description'] );
								}
							?>
						</div>
					</div>
				</div>

				<?php if ( $banner['cover'] ): ?>
				<div class="col-md-7">
					<?php
						if ( $banner['video'] ) 
						{
							printf( '<a href="%s" class="popup-video d-flex align-items-center justify-content-center" data-effect="mfp-move-from-top vertical-middle"><img src="%s" class="img-fluid" alt="%s"></a>', esc_url( $banner['video'] ), esc_url( $banner['cover']['url'] ), $banner['cover']['alt'] );
						}
						else
						{
							printf( '<img src="%s" class="img-fluid" alt="%s">', esc_url( $banner['cover']['url'] ), $banner['cover']['alt'] );
						}
					?>
				</div>
				<?php endif; ?>
			</div>
		</div>
		<div class="bgimage" style="background-image: url(<?php echo esc_url( $banner['image']['url'] ); ?>);"></div>
	</section><!-- /page-header -->
	
	<div id="primary" class="content-area">
		
		<?php $sports_betting = get_field( 'liveodds_sports_betting' ); if ( !empty( $sports_betting ) && array_filter( $sports_betting ) ): ?>
		<section class="sports-betting">
			<div class="container">
				<?php if ( $sports_betting['title'] || $sports_betting['sub_title'] || $sports_betting['description'] ): ?>
				<div class="row">
					<div class="col-12">
						<div class="entry-title">
							<?php
								if ( $sports_betting['title'] ) 
								{
									printf( '<h3 class="title font-italic text-uppercase">%s</h3>', $sports_betting['title'] );
								}

								if ( $sports_betting['sub_title'] ) 
								{
									printf( '<h5 class="sub-title base font-italic">%s</h5>', $sports_betting['sub_title'] );
								}

								if ( $sports_betting['description'] ) 
								{
									printf( '%s', $sports_betting['description'] );
								}
							?>
						</div>
					</div>
				</div>
				<?php endif;

				if ( $sports_betting['highlights'] ): ?>
				<div class="row minus">
					<?php $counter = 1; foreach ( $sports_betting['highlights'] as $highlight ): ?>
					<div class="col-lg-3 col-sm-6">
						<div class="betting-item">
							<?php
								printf( '<span class="number h3">%s</span>', str_pad($counter, 2, '0', STR_PAD_LEFT) );

								if ( $highlight['text'] ) 
								{
									printf( '<h4 class="title">%s</h4>', $highlight['text'] );
								}
							?>
						</div>
					</div>
					<?php $counter++; endforeach; ?>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /sports-betting -->
		<?php endif;

		$currently_using = get_field( 'liveodds_currently_using' ); $advertisement = get_field( 'liveodds_advertisement' ); if ( !empty( $currently_using ) && array_filter( $currently_using ) || !empty( $advertisement ) && array_filter( $advertisement ) ): ?>
		<section class="problems-using">
			<div class="container">
				<?php if ( $currently_using['title'] || $currently_using['content'] || $currently_using['titlen'] || $currently_using['number_factors'] ): ?>
				<div class="row">
					<?php if ( $currently_using['title'] || $currently_using['content'] ): ?>
					<div class="<?php echo $currently_using['number_factors'] || $currently_using['titlen'] ? 'col-md-7' : 'col-md-12'; ?>">
						<div class="content" <?php if ( !$currently_using['number_factors'] || !$currently_using['titlen'] ) echo 'style="max-width: 100%;"'; ?>>
							<?php
								if ( $currently_using['title'] ) 
								{
									printf( '<h3 class="title font-italic text-uppercase">%s</h3>', $currently_using['title'] );
								}

								if ( $currently_using['content'] ) 
								{
									printf( '%s', $currently_using['content'] );
								}
							?>
						</div>
					</div>
					<?php endif;

					if ( $currently_using['titlen'] || $currently_using['number_factors'] ): ?>
					<div class="col-md-5">
						<div class="number-factors">
							<?php
								if ( $currently_using['titlen'] ) 
								{
									printf( '<h4 class="title">%s</h4>', $currently_using['titlen'] );
								}

								if ( $currently_using['number_factors'] ) 
								{
									echo '<ul class="factors list-unstyled">';

										foreach ( $currently_using['number_factors'] as $factor ) 
										{
											echo '<li>';
												if ( $factor['icon'] ) 
												{
													printf( '<div class="icon float-left">
														<i class="%s"></i>
													</div>', $factor['icon'] );	
												}

												if ( $factor['label'] || $factor['text'] ) 
												{
													echo '<div class="text">';
														echo '<P>';
															if ( $factor['label'] ) 
															{
																printf( '<strong>%s</strong>', $factor['label'] );
															}

															if ( $factor['label'] && $factor['text'] ) 
															{
																echo ' - ';
															}

															if ( $factor['text'] ) 
															{
																printf( '%s', $factor['text'] );
															}
														echo '</P>';
													echo '</div>';
												}
											echo '</li>';
										}

									echo '</ul>';
								}
							?>
						</div>
					</div>
					<?php endif; ?>
				</div>
				<?php endif;

				if ( !empty( $advertisement ) && array_filter( $advertisement ) ): ?>
				<div class="advertisement">
					<div class="row">
						<div class="col-12 d-flex align-items-center">
							<?php
								if ( $advertisement['image'] ) 
								{
									printf( '<div class="media float-left">
										<img src="%s" class="img-fluid" alt="%s">
									</div>', esc_url( $advertisement['image']['url'] ), $advertisement['image']['alt'] );
								}

								if ( $advertisement['text'] ) 
								{
									printf( '<div class="text">
										<h3 class="title">%s</h3>
									</div>', $advertisement['text'] );
								}
							?>
						</div>
					</div>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /problems-using -->

		<div class="container">
			<div class="row">
				<div class="col-12">
					<hr>
				</div>
			</div>
		</div>
		<?php endif;

		$quotation = get_field( 'liveodds_quotation' ); if ( !empty( $quotation ) && array_filter( $quotation ) ): ?>
		<section class="liveodds-quote">
			<div class="container">
				<div class="row">
					<?php 
						if ( $quotation['quote'] ) 
						{
							printf( '<div class="col-lg-5">
								<div class="quote">
									<div class="icon float-left">
										<i class="icon-quote"></i>
									</div>

									<div class="qu">
										<p>%s</p>
									</div>
								</div>
							</div>', $quotation['quote'] );
						}
						
						if ( $quotation['content'] ) 
						{
							$col = $quotation['quote'] ? '7' : '12';
							printf( '<div class="col-lg-%s">
								<div class="content">%s</div>
							</div>', $col, $quotation['content'] );
						}
					?>
				</div>
			</div>
		</section><!-- /liveodds-quote -->

		<div class="container">
			<div class="row">
				<div class="col-12">
					<hr>
				</div>
			</div>
		</div>
		<?php endif;

		$misinformation = get_field( 'liveodds_misinformation' ); if ( !empty( $misinformation ) && array_filter( $misinformation ) ): ?>
		<section class="misinformation">
			<div class="container">
				<div class="row">
					<div class="col-12">
						<?php
							if ( $misinformation['title'] || $misinformation['sub_title'] || $misinformation['titlewd'] || $misinformation['we_do'] ) 
							{
								echo '<div class="entry-title">';

									if ( $misinformation['title'] ) 
									{
										printf( '<h3 class="title font-italic text-uppercase">%s</h3>', $misinformation['title'] );
									}

									if ( $misinformation['sub_title'] ) 
									{
										printf( '<h5 class="sub-title base font-italic">%s</h5>', $misinformation['sub_title'] );
									}

									if ( $misinformation['titlewd'] ) 
									{
										printf( '<h3 class="label font-italic text-uppercase">%s</h3>', $misinformation['titlewd'] );
									}

									if ( $misinformation['we_do'] ) 
									{
										echo '<ul class="wedo list-unstyled">';

											foreach ( $misinformation['we_do'] as $do ) 
											{
												echo '<li>';

													if ( $do['icon'] ) 
													{
														printf( '<div class="icon float-left">
															<i class="%s"></i>
														</div>', $do['icon'] );
													}

													if ( $do['text'] ) 
													{
														printf( '<div class="text">
															<P>%s</P>
														</div>', $do['text'] );
													}
												echo '</li>';	
											}

										echo '</ul>';
									}
								echo '</div>';
							}

							if ( $misinformation['content'] || $misinformation['image'] ) 
							{
								echo '<div class="decisions d-flex">';

									if ( $misinformation['content'] ) 
									{
										printf( '<div class="content float-left">%s</div>', $misinformation['content'] );
									}

									if ( $misinformation['image'] ) 
									{
										printf( '<div class="media">
											<img src="%s" class="img-fluid" alt="%s">
										</div>', esc_url( $misinformation['image']['url'] ), $misinformation['image']['alt'] );
									}
								echo '</div>';
							}
						?>
					</div>
				</div>
			</div>
		</section><!-- /misinformation -->
		<?php endif; ?>

	</div><!-- /primary -->

<?php get_footer(); ?>