<?php
/*
Template Name: Packages
*/
get_header(); ?>
	
	<div id="primary" class="content-area">
		
		<?php $featured_packages = get_field( 'featured_packages' ); if ($featured_packages): ?>
		<section class="featured-packages">
			<div class="container">
				<?php if ($featured_packages['title'] || $featured_packages['description']): ?>
				<div class="row">
					<div class="col">
						<div class="entry-title separator">
							<?php
								if ($featured_packages['title']) 
								{
									printf('<h3 class="title text-uppercase font-italic">%s</h3>', $featured_packages['title']);
								}

								if ($featured_packages['description']) 
								{
									printf('%s', $featured_packages['description']);
								}
							?>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<?php
					$features_packages_args = array(
					   'meta_value' => 'yes',
					   'posts_per_page' => 3,
					   'post_type' => 'product',
					   'post_status' => 'publish',
					   'ignore_sticky_posts' => 1,
					   'meta_key' => '_is_ns_featured_post', 
					);

					$features_packages_loop = new WP_Query( $features_packages_args );
					if($features_packages_loop->have_posts()):
				?>
				<div class="row lr-9 eq-height">
				<?php 
					while($features_packages_loop->have_posts()) : $features_packages_loop->the_post(); 
						$product = wc_get_product( $post->ID );
						$package_cats = get_the_terms( $post->ID, 'product_cat' );
						$icon = get_field( 'product_cat_icon', 'product_cat_'.$package_cats[0]->term_id );
					?>
					<div class="col-xl-4 col-lg-4 col-md-6 col-sm-12 col-xs-12">
						<div class="woo-featured-package">
							<div class="media">
								<a href="<?php the_permalink(); ?>">
									<?php
										if (has_post_thumbnail()) 
										{
											the_post_thumbnail('package_featured', array('class' => 'img-fluid'));
										}
										else
										{
											printf('<img src="%s" class="img-fluid" alt="Placeholder Image">', esc_url(get_theme_file_uri('images/placeholder-featured-package')));
										}
									?>
								</a>

								<?php if ($icon): ?>
								<div class="icon">
									<i class="<?php echo $icon; ?>"></i>
								</div>
								<?php endif; ?>
							</div>

							<div class="text">
								<a href="<?php the_permalink(); ?>"><?php the_title('<h5 class="title text-uppercase font-italic">', '</h5>'); ?></a>
								<?php
									if (has_excerpt()) 
									{
										printf('<p>%s</p>', get_the_excerpt());
									}
									else 
									{
										printf('<p>%s</p>', Limit_Text(get_the_content(), 190));
									}
								?>

								<div class="entry-footer d-flex align-items-center justify-content-between">
									<?php if ($product->get_price()): ?>
									<span class="price"><span class="currencySymbol"><?php echo get_woocommerce_currency_symbol(); ?></span><?php echo number_format($product->get_price(), 2, '.', ''); ?></span>
									<?php endif; ?>

									<div class="button-group">
									<?php 
										echo apply_filters( 'woocommerce_loop_add_to_cart_link',
									    sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" data-quantity="%s" class="button add_to_cart_button ajax_add_to_cart btn buy-now-button text-uppercase %s product_type_%s">%s</a>',
									        esc_url( $product->add_to_cart_url() ),
									        esc_attr( $product->id ),
									        esc_attr( $product->get_sku() ),
									        esc_attr( 1 ),
									        $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
									        esc_attr( $product->product_type ),
									        'Buy Now'
									    ),
										$product ); 
									?>
									</div>
								</div>
							</div>
						</div>
					</div><!-- /woo-featured-package -->
					<?php endwhile; ?>
				</div>
				<?php endif; wp_reset_query(); ?>
			</div>
		</section><!-- /featured-packages -->
		<?php endif; ?>

		<?php $pick_any = get_field( 'pick_any' ); if ($pick_any): ?>
		<section class="pick">
			<div class="container">
				<div class="row align-items-center flex-row-reverse">
					<?php if ($pick_any['title'] || $pick_any['description'] || array_filter($pick_any['button'])): ?>
					<div class="col-xl-8 col-lg-8 col-md-8 col-sm-8 col-xs-12">
						<div class="content">
							<?php if ($pick_any['title'] || $pick_any['description']): ?>
							<div class="entry-title separator white">
								<?php
									if ($pick_any['title']) 
									{
										printf('<h2 class="title text-uppercase font-italic">%s</h2>', $pick_any['title']);
									}

									if ($pick_any['description']) 
									{
										printf('%s', $pick_any['description']);
									}
								?>
							</div>
							<?php endif; ?>

							<?php acfButton($pick_any); ?>
						</div>
					</div>
					<?php endif; ?>

					<?php if ($pick_any['image']): ?>
					<div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-xs-12">
						<div class="media">
							<?php printf('<img src="%s" class="img-fluid mx-auto" alt="%s">', esc_url($pick_any['image']['url']), $pick_any['image']['alt']); ?>
						</div>
					</div>
					<?php endif; ?>
				</div>
			</div>
		</section><!-- /pick -->
		<?php endif; ?>

		<section class="all-packages">
			<div class="container">
				<div class="row" data-sticky_parent>
					<main class="main-content col-xl-9 col-lg-9 col-md-12 col-sm-12" data-sticky_column>
						<?php $all_packages = get_field( 'all_packages' ); if ($all_packages['title'] || $all_packages['description']): ?>
						<div class="entry-title separator">
							<?php
								if ($all_packages['title']) 
								{
									printf('<h4 class="title text-uppercase font-italic">%s</h4>', $all_packages['title']);
								}

								if ($all_packages['description']) 
								{
									printf('%s', $all_packages['description']);
								}
							?>
						</div><!-- /entry-title -->
						<?php endif; ?>

						<?php 
							$package_categories = get_terms( 'product_cat' );

							if ($package_categories) : foreach ($package_categories as $pac_cat) :
						?>
						<div class="woo-package-item">
							<?php
								$icon = get_field( 'product_cat_icon', 'product_cat_'.$pac_cat->term_id );
								if ($pac_cat->name) 
								{
									printf('<div class="entry-title">
										<h4 class="title text-uppercase font-italic"><i class="%s"></i> %s</h4>
									</div>', $icon, $pac_cat->name);
								}

								$packages_args = array(
								   'post_type'             => 'product',
								   'post_status'           => 'publish',
								   'ignore_sticky_posts'   => 1,
								   'posts_per_page'        => -1,
								   'tax_query'             => array(
								        array(
								            'taxonomy'  => 'product_cat',
								            'field'     => 'term_id',
								            'terms'     => $pac_cat->term_id,
								            'operator'  => 'IN',
								        )
								   )
								);

								$packages = get_posts( $packages_args ); 

								if ($packages) : foreach($packages as $package) :
									$product = wc_get_product( $package->ID );
							?>
							<div id="package-<?php echo $package->ID; ?>" <?php post_class( 'woo-product-item d-flex justify-content-between', $package->ID); ?>>
								<div class="media float-left">
									<a href="<?php the_permalink($package->ID); ?>">
										<?php
											if (has_post_thumbnail($package->ID))
											{
												echo get_the_post_thumbnail($package->ID, 'package_thumb', array('class' => 'img-fluid'));
											}
											else
											{
												printf('<img src="%s" class="img-fluid" alt="Placeholder Image">', esc_url(get_theme_file_uri('images/placeholder-package-thumb.jpg')));
											}
										?>
									</a>
								</div>

								<div class="text">
									<?php
										printf('<a href="%s"><h4 class="title">%s</h4></a>', esc_url(get_permalink($package->ID)), $package->post_title);

										if (has_excerpt($package))
										{
											printf('<p>%s</p>', get_the_excerpt($package));
										}
									?>
								</div>

								<div class="price-button d-flex align-items-center justify-content-center">
									<?php if ($product->get_price()): ?>
									<span class="price"><span class="currencySymbol"><?php echo get_woocommerce_currency_symbol(); ?></span><?php echo number_format($product->get_price(), 2, '.', ''); ?></span>
									<?php endif; ?>

									<?php
										printf('<a href="%s" class="btn text-uppercase">%s</a>', esc_url(get_permalink($package->ID)), 'View Details');
									?>
								</div>
							</div><!-- /woo-product-item -->
							<?php endforeach; endif; ?>
						</div><!-- /woo-package-item -->
						<?php endforeach; endif; ?>
					</main>

					<aside class="woo-sidebar col-xl-3 col-lg-3 col-md-12 col-sm-12">
						<div class="" data-sticky_column>
							<?php if ($all_packages['right_title'] || $all_packages['right_description']): ?>
							<div class="entry-title separator">
								<?php
									if ($all_packages['right_title']) 
									{
										printf('<h4 class="title text-uppercase font-italic">%s</h4>', $all_packages['right_title']);
									}

									if ($all_packages['right_description']) 
									{
										printf('%s', $all_packages['right_description']);
									}
								?>
							</div><!-- /entry-title -->
							<?php endif; ?>

							<?php 
								$package_cats = get_terms( 'product_cat' );

								if ($package_cats) :
							?>
							<div class="row">
							<?php 
								foreach ($package_cats as $pac_cat): 
									$icon = get_field( 'product_cat_icon', 'product_cat_'.$pac_cat->term_id ); 
									$pac_cat_image = wp_get_attachment_url( get_woocommerce_term_meta( $pac_cat->term_id, 'thumbnail_id', true ) );
								?>
								<div class="col-xl-12 col-lg-12 col-md-12 col-sm-4 col-xs-12">
									<a href="<?php echo get_term_link($pac_cat->term_id); ?>" <?php post_class('woo-category-item', $pac_cat); ?>>
										<div class="media">
											<?php
												if ($pac_cat_image) 
												{
													printf('<img src="%s" alt="%s">', esc_url($pac_cat_image), $pac_cat->name);
												}
												else
												{
													printf('<img src="%s" alt="Placeholder">', get_theme_file_uri('images/placeholder-blog-post.jpg'));
												}
											?>
										</div>

										<div class="text">
											<div class="icon">
												<i class="<?php echo $icon; ?>"></i>
											</div>

											<h5 class="title"><?php echo $pac_cat->name; ?></h5>
										</div>
									</a>
								</div><!-- /woo-category-item -->
								<?php endforeach; ?>
							</div>
							<?php endif; ?>
						</div>
					</aside>
				</div>
			</div>
		</section><!-- /all-packages -->

		<?php $why_wager = get_field( 'why_wager' ); if ($why_wager): ?>
		<section class="wc-difference coverbg" style="background-image: url(<?php echo esc_url($why_wager['background']['url']); ?>);">
			<div class="container">
				<div class="row align-items-center">
					<?php if ($why_wager['title'] || $why_wager['description'] || array_filter($why_wager['button'])): ?>
					<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
						<div class="content">
							<?php if ($why_wager['title'] || $why_wager['description']): ?>
							<div class="entry-title">
								<?php
									if ($why_wager['title']) 
									{
										printf('<h2 class="title text-uppercase font-italic">%s</h2>', $why_wager['title']);
									}

									if ($why_wager['description']) 
									{
										printf('%s', $why_wager['description']);
									}
								?>
							</div>
							<?php endif; ?>

							<?php acfButton($why_wager); ?>
						</div>
					</div>
					<?php endif; ?>

					<?php if ($why_wager['image']): ?>
					<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
						<div class="media">
							<?php printf('<img src="%s" class="img-fluid mx-auto" alt="%s">', esc_url($why_wager['image']['url']), $why_wager['image']['alt']); ?>
						</div>
					</div>
					<?php endif; ?>
				</div>
			</div>
		</section><!-- /wc-difference -->
		<?php endif; ?>

	</div><!-- /primary -->

<?php get_footer(); ?>