<?php get_header(); ?>
	
	<div id="primary" class="content-area">
			
		<section class="news-page">
			<div class="container">
				<div class="row">
					<main class="main-content col-xl-8 col-lg-8 col-md-8 col-sm-12 col-xs-12">
						<?php if (have_posts()): while(have_posts()): the_post(); ?>
						<article id="post-<?php the_ID(); ?>" <?php post_class('blog-post'); ?>>
							<div class="media float-left">
								<a href="<?php the_permalink(); ?>">
									<?php
										if (has_post_thumbnail()) 
										{
											the_post_thumbnail('blog_thumb', array('class' => 'img-fluid'));
										}
										else
										{
											printf('<img src="%s" class="img-fluid" alt="Placeholder Image">', esc_url(get_theme_file_uri('images/placeholder-blog-post.jpg')));
										}
									?>
								</a>
							</div>

							<div class="entry-content">
								<?php
									$categories  = get_the_category();

									if ($categories ) {
										echo '<ul class="categories list-inline">';
										foreach ($categories as $key => $category ) {
											if($key < 1){
												printf('<li><a href="%s">%s</a></li>', esc_url( get_category_link( $category->term_id ) ), $category->name);
											}
										}
										echo '</ul>';
									}
								?>

								<a href="<?php the_permalink(); ?>">
									<?php the_title('<h5 class="entry-title">', '</h5>'); ?>
								</a>

								<a href="<?php the_permalink(); ?>" class="readmore text-uppercase">Read More</a>
							</div>
						</article><!-- blog-post -->
						<?php endwhile; else: ?>
							<div class="entry-content" style="padding: 30px 0 0">
						        <h5 class="no-content"><?php echo esc_attr('Not found posts!!!'); ?></h5>
						    </div>
						<?php endif; wp_reset_query(); ?>

						<?php if ( get_previous_posts_link() || get_next_posts_link() ): ?>
						<div class="pagination">
							<div class="float-left">
								<?php 
									if ( get_previous_posts_link() ) 
									{
										previous_posts_link('<i class="icon-arrow-left"></i> Newer Posts');
									} 
								?>
							</div>

							<div class="float-right">
								<?php 
									if ( get_next_posts_link() ) 
									{
										next_posts_link('Older Posts <i class="icon-arrow-right"></i>');
									}
								?>
							</div>
						</div>
						<?php endif; ?>
					</main>

					<?php get_sidebar(); ?>
				</div>
			</div>
		</section><!-- /default-page -->


	</div><!-- /primary -->

<?php get_footer(); ?>  