<!doctype html>
<html <?php language_attributes(); ?>>
  	<head>
	    <meta charset="<?php bloginfo( 'charset' ); ?>">
	    <meta http-equiv="X-UA-Compatible" content="IE=edge">
	    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	    <title><?php if(is_front_page()){ echo' Home '; echo' | '; echo bloginfo('name'); } else { wp_title(''); echo' | '; bloginfo('name');  } ?></title>
		<?php $favicon = get_field( 'favicon', 'options' ); if ($favicon && isset($favicon)): ?>
		<link rel="icon" type="image/png" href="<?php echo $favicon['url']; ?>" sizes="32x32">
		<?php else: ?>
		<link rel="icon" type="image/png" href="<?= get_theme_file_uri(); ?>/images/icon/favicon-16x16.png" sizes="16x16">
		<link rel="icon" type="image/png" href="<?= get_theme_file_uri(); ?>/images/icon/favicon-32x32.png" sizes="32x32">
		<link rel="icon" sizes="192x192" href="<?= get_theme_file_uri(); ?>/images/icon/touch-icon-192x192.png">
		<link rel="apple-touch-icon-precomposed" sizes="180x180" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-180x180-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="152x152" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-152x152-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="144x144" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-144x144-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="120x120" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-120x120-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="114x114" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-114x114-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="76x76" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-76x76-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="72x72" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-72x72-precomposed.png">
		<link rel="apple-touch-icon-precomposed" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-precomposed.png">
		<?php endif;
		wp_head(); ?>
	</head>
	<body <?php body_class(); ?>>
		<div id="sidr">
			<div class="mobile-header hidden">
				<div class="navbar-header d-flex align-items-center">
				 	<button type="button" class="navbar-toggle close">
		                <i class="icon-cancel"></i>
		            </button>
				</div>

				<div class="navigation">
				  	<?php 
				  		$hbutton = get_field( 'header_button', 'options' );

				  		wp_nav_menu( array(
                            'menu'               => 'Primary Menu Mobile',
                            'theme_location'     => 'menu-1',
                            'depth'              => 2,
                            'container'          => 'false',
                            'menu_class'         => 'navbar-nav',
                            'menu_id'            => '',
                            'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
                            'walker'             => new wp_bootstrap_navwalker(),
                        )); 


			    		if ($hbutton) 
			    		{
			    			echo '<ul class="navbar-nav">';

			    				printf('<li class="btn-menu"><a href="%s" target="%s">%s</a></li>', esc_url($hbutton['url']), $hbutton['target'], $hbutton['title']);

			    			echo '</ul>';
			    		}
			    	?>
				</div>
			</div>
		</div><!-- /mobile-header -->

		<header class="header">
			<nav class="navbar navbar-expand-lg">
			  	<div class="container d-flex justify-content-between">
					<div class="navbar-header">
						<button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse">
							<span class="icon-bar"><span class="inner"></span></span>
						  	<span class="icon-bar"><span class="inner"></span></span>
						  	<span class="icon-bar"><span class="inner"></span></span>
					  	</button>

					  	<div class="logo">
						 	<a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>">
						 		<?php
						 			$logo = get_field( 'logo', 'options' );
						 			if ($logo) 
						 			{
						 				printf('<img src="%s" class="img-fluid" alt="%s">', esc_url($logo['url']), $logo['alt']);
						 			}
						 			else 
						 			{
						 				printf('<img src="%s" class="img-fluid" alt="Wager Consultants">', esc_url(get_theme_file_uri('images/logo.png')));
						 			}
						 		?>
						 	</a>
						</div>

						<ul class="navbar-nav">
							<?php
								$quantity_count = WC()->cart->get_cart_contents_count() > 0 ? 'hidden' : '';
								printf('<li class="btn-icon"><a href="%s"><i class="icon-user"></i></a></li>', get_permalink( get_option('woocommerce_myaccount_page_id') ));

					    		printf('<li class="btn-icon">
					    			<a href="%s" title="View your shopping cart" class="ajaxify_cart">
					    				<i class="icon-cart"></i>
					    				<span class="cart_quantity %s">%s</span>
					    			</a>
					    		</li>', $quantity_count, wc_get_cart_url(), sprintf ( _n( '%d', '%d', WC()->cart->get_cart_contents_count() ), WC()->cart->get_cart_contents_count() ));
							?>
					  	</ul>
					</div>
			
					<div class="collapse navbar-collapse">
					  	<?php 
					  		wp_nav_menu( array(
	                            'menu'               => 'Primary Menu',
	                            'theme_location'     => 'menu-1',
	                            'depth'              => 2,
	                            'container'          => 'false',
	                            'menu_class'         => 'navbar-nav',
	                            'menu_id'            => '',
	                            'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
	                            'walker'             => new wp_bootstrap_navwalker(),
	                        )); 
			            ?>

					  	<ul class="navbar-nav navbar-right">
					    	<?php 
					    		printf('<li class="btn-icon"><a href="%s"><i class="icon-user"></i></a></li>', get_permalink( get_option('woocommerce_myaccount_page_id') ));

					    		printf('<li class="btn-icon">
					    			<a href="%s" title="View your shopping cart" class="ajaxify_cart">
					    				<i class="icon-cart"></i>
					    				<span class="cart_quantity %s">%s</span>
					    			</a>
					    		</li>', $quantity_count, wc_get_cart_url(), sprintf ( _n( '%d', '%d', WC()->cart->get_cart_contents_count() ), WC()->cart->get_cart_contents_count() ));

					    		if ($hbutton) 
					    		{
					    			printf('<li class="btn-menu"><a href="%s" target="%s">%s</a></li>', esc_url($hbutton['url']), $hbutton['target'], $hbutton['title']);
					    		}
					    	?>
					  	</ul>
					</div><!-- /collapse -->
			  	</div><!-- /container-fluid -->
			</div><!--/ Navbar -->
		</header>
		<?php 
		$phdisable = get_field( 'disable_header', getPageID() );

		if (is_page_template('t_line_history.php') || is_page_template('t_live_odds_main.php') || is_page_template('t_contact.php') || is_singular('post') || is_404() || $phdisable) 
		{
			echo '<div class="gutter"></div>';
		}
	
		$phtitle = get_field( 'page_header_title', getPageID() );
		$phdescription = get_field( 'page_header_description', getPageID() );
		$phbackground = '';
		if ( is_archive() && !is_product_category() || is_search() ) 
		{
			$phbackground = get_field( 'page_header_background', get_option('page_for_posts') );
		}
		elseif( is_product_category() )
		{
			if (get_field( 'product_cat_background', 'product_cat_'.getPageID() )) {
				$phbackground = get_field( 'product_cat_background', 'product_cat_'.getPageID() );
			}
			else
			{
				$phbackground = get_theme_file_uri('images/page-header-package.jpg');
			}
		}
		else {
			$phbackground = get_field( 'page_header_background', getPageID() );
		}
		
		$title = $phtitle ? $phtitle : get_the_title(getPageID());
		
		$background = $phbackground ? $phbackground : get_theme_file_uri('images/page-header-placeholder.jpg');


		if (!is_front_page() && !is_page_template('t_about.php') && !is_page_template('t_contact.php') && !is_page_template('t_liveodds.php') && !is_page_template('t_live_odds_main.php') && !is_page_template('t_line_history.php') && !is_singular('post') &&!is_404() && !$phdisable): ?>
		<section class="page-header gutter coverbg d-flex align-items-center" style="background-image: url(<?php echo esc_url($background); ?>);">
			<div class="container">
				<div class="row">
					<div class="col">
						<div class="content">
							<div class="entry-title">
								<?php if (is_search()): ?>
									<h5 class="title white font-italic"><?php echo customizedtitle($title); ?></h5>
								<?php elseif(is_product_category()): ?>
									<h1 class="title white text-uppercase font-italic"><?php echo get_queried_object()->name; ?></h1>
								<?php else: ?>
									<h1 class="title white text-uppercase font-italic"><?php echo customizedtitle($title); ?></h1>
								<?php endif; ?>

								<?php printf('%s', $phdescription); ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section><!-- /page-header -->
		<?php endif; ?>